Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "94e0c237-6668-428b-a104-a1e5c6eaec7a",
  "date_start": "2026-10-12T11:08:25.6812978+00:00",
  "date_end": "2026-10-12T11:08:25.6812978+00:00",
  "modified_dateutc": "2026-10-12T11:08:25.6812978+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "350f2bd0-99c4-404a-8a07-d13fea2b78bc",
  "user_code": "sample string 8",
  "user": {
    "id": "3908045e-dc99-4d5a-a104-bc4db5c42380",
    "db_language_id": "c52d7d98-6926-47ff-8be5-9ece5247fb1f",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-12T11:08:25.6812978+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "ee04330e-40ea-4be6-8b31-99cc08017eb9",
    "sales_organization": {
      "id": "6283b2e7-f6ce-4172-b81d-753a858800bd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "a9131d01-13a6-4f75-a055-f6afab84c8f9",
      "db_currency_id": "2100f33f-5286-4baa-a722-05661107dc72",
      "db_language_id": "8f89e764-4598-4f11-abf4-36671d1094df",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-12T11:08:25.6812978+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "7f377a84-5d11-48bc-a1c1-b9dcbfe4b606",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "4f159c94-7c6b-46cd-a4a3-3b36b4243cd7",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-12T11:08:25.6812978+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "be686f93-d972-4b8e-a099-9cd14703a498"
  },
  "user_unavailability_type_id": "7e100f15-feaa-47ec-b359-4bc3e28ce43b",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "25495484-b655-4b56-903f-99f8cea25e53",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "e300b253-58cd-45d4-9936-cf5673bbd2f0",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "6283b2e7-f6ce-4172-b81d-753a858800bd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "a9131d01-13a6-4f75-a055-f6afab84c8f9",
      "db_currency_id": "2100f33f-5286-4baa-a722-05661107dc72",
      "db_language_id": "8f89e764-4598-4f11-abf4-36671d1094df",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-12T11:08:25.6812978+00:00"
    },
    "modified_dateutc": "2026-10-12T11:08:25.6812978+00:00"
  }
}